GuideLab API

Create Invoice

Create a new invoice for a clinic. Lab-only. Automatically generates an invoice number; issued invoices create the corresponding account transaction while drafts remain ledger-neutral.

POST
/invoices

Create a new invoice for a clinic. Lab-only. Automatically generates an invoice number; issued invoices create the corresponding account transaction while drafts remain ledger-neutral.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Header Parameters

idempotency-key*string

Stable key reused only when retrying the exact same command body

Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/invoices" \  -H "idempotency-key: stringst" \  -H "Content-Type: application/json" \  -d '{    "clinicId": "string",    "issueDate": "string",    "items": [      {        "description": "string",        "unitPrice": "string"      }    ]  }'
{  "id": "string",  "invoiceNumber": "string",  "items": [    null  ],  "property1": null,  "property2": null}
Empty
Empty
Empty
Empty